from flask_restplus import fields
#from pyrest.webservices.taskmap.taskmap import taskmap_api
from pyrest.webservices.taskmap.taskmap import taskmap_api


taskmap_model = taskmap_api.model('taskmap', {
    'timestamp': fields.DateTime(description='Timestamp of the map', dt_format='iso8601'),
    'geometry': fields.Raw(required=True, description='GeoJSON geometry data'),
    'cat1value': fields.Integer(description="Treshold value for category 1"),
    'cat2value': fields.Integer(description="Treshold value for category 2"),
    'cat3value': fields.Integer(description="Treshold value for category 3"),
    'cat4value': fields.Integer(description="Treshold value for category 4")
})
